{-# LANGUAGE OverloadedStrings #-}

import qualified Data.ByteString.Lazy as BSL
import           Data.Either          (isRight)
import           Language.Dhall.Lexer
import           Test.Hspec
import           Test.Hspec.Dirstream

main :: IO ()
main = hspec $
    describe "lexDhall" $ parallel $
        testFilesPure "test/data" (hasExtension "dhall") allFiles (FileProc BSL.readFile lexDhall isRight)
